Bio::Seq::RichSeq(3)

NAME
Bio::Seq::RichSeq - Module implementing a sequence created from a rich sequence database entry

SYNOPSIS
See Bio::Seq::RichSeqI and documentation of methods.

DESCRIPTION
This module implements Bio::Seq::RichSeqI, an interface for sequences created from or created for entries from/of rich sequence databanks, like EMBL, GenBank, and SwissProt. Methods added to the Bio::SeqI interface therefore focus on databank-specific information. Note that not every rich databank format may use all of the properties provided.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably
 to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                 - General discussion
  http://bio.perl.org/MailList.html             - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track
 the bugs and their resolution.
 Bug reports can be submitted via email or the web:

  bioperl-bugs@bio.perl.org
  http://bio.perl.org/bioperl-bugs/

AUTHOR - Ewan Birney
Email birney@ebi.ac.uk

Describe contact details here

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : $seq    = Bio::Seq::RichSeq->new( -seq => 'ATGGGGGTGGTGGTACCCT',
                                             -id  => 'human_id',
                                             -accession_number => 'AL000012',
                                            );
 Function: Returns a new seq object from
           basic constructors, being a string for the sequence
           and strings for id and accession_number
 Returns : a new Bio::Seq::RichSeq object

  division
 Title   : division
 Usage   : $obj->division($newval)
 Function:
 Returns : value of division
 Args    : newvalue (optional)

  molecule
 Title   : molecule
 Usage   : $obj->molecule($newval)
 Function:
 Returns : type of molecule (DNA, mRNA)
 Args    : newvalue (optional)

  add_date
 Title   : add_date
 Usage   : $self->add_date($datestr)
 Function: adds a date
 Example :
 Returns : a date string or an array of such strings
 Args    :

  get_dates
 Title   : get_dates
 Usage   :
 Function:
 Example :
 Returns : an array of date strings
 Args    :

  pid
 Title   : pid
 Usage   :
 Function: Get (and set, depending on the implementation) the PID property
           for the sequence.
 Example :
 Returns : a string
 Args    :

  accession
 Title   : accession
 Usage   : $obj->accession($newval)
 Function: Whilst the underlying sequence object does not
           have an accession, so we need one here.
           In this implementation this is merely a synonym for
           accession_number().
 Example :
 Returns : value of accession
 Args    : newvalue (optional)

  add_secondary_accession
 Title   : add_secondary_accession
 Usage   : $self->add_domment($ref)
 Function: adds a secondary_accession
 Example :
 Returns :
 Args    : a string or an array of strings

  get_secondary_accessions
 Title   : get_secondary_accessions
 Usage   :
 Function:
 Example :
 Returns : An array of strings
 Args    :

  seq_version
 Title   : seq_version
 Usage   : $obj->seq_version($newval)
 Function:
 Example :
 Returns : value of seq_version
 Args    : newvalue (optional)

  keywords
 Title   : keywords
 Usage   : $obj->keywords($newval)
 Function:
 Returns : value of keywords (a string)
 Args    : newvalue (optional) (a string)